// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneComponent.hpp"

typedef uint32_t entityid_t;

namespace Dawn {
  class World;

  class Entity final : public SceneComponent {
    public:
      std::weak_ptr<World> world;
      
      void onInit() override;
      void onDispose() override;
  };
}