// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "prefab/Prefab.hpp"
#include "component/world/World.hpp"

namespace Dawn {
  struct PlayerPrefab : public Prefab {
    public:
      std::shared_ptr<Entity> entity;
  };

  struct PlayerPrefab createPlayerPrefab(const std::shared_ptr<World> world);
}