// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Entity.hpp"
#include "assert/assert.hpp"

using namespace Dawn;

void Entity::onInit() {
  auto world = this->world.lock();
  assertNotNull(world, "World is no longer active.");
}

void Entity::onDispose() {
  
}